Upsert AI Gateway budget default
PUT
https://api.vercel.com/ai-gateway/budgets/defaultsCreate or update an AI Gateway budget default for one scope. Team-level authority only (owners/admins).
https://api.vercel.com/ai-gateway/budgets/defaults
const response = await fetch('https://api.vercel.com/ai-gateway/budgets/defaults?teamId=string&slug=string', { method: 'PUT', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "scopeType": "team", "limitAmount": "123", "refreshPeriod": "daily", "alertThresholds": [] }),});
const data = await response.json();console.log(data);Response
{ "active": "false", "alertThresholds": [], "createdAt": "123", "limitAmount": "123", "refreshPeriod": "daily", "scopeType": "api-key", "updatedAt": "123"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
500Error